﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ToggleAxis
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        NumericalAxis axis1;
        NumericalAxis axis2;
        NumericalAxis axis3;
        public MainWindow()
        {
            InitializeComponent();
            axis1 = new NumericalAxis()
            {
                Interval = 10,
                Foreground = chart.Series[0].Interior ,
                Minimum = 10,
                ShowGridLines = false
            };
            axis2 = new NumericalAxis()
            {
                Interval = 10,
                Foreground = chart.Series[1].Interior,
                Minimum = 10,
                ShowGridLines = false
            };
            axis3 = new NumericalAxis()
            {
                Interval = 10,
                Foreground = chart.Series[2].Interior,
                Minimum = 10,
                ShowGridLines = false
            };
        }

        private void CheckBox_Checked(object sender, RoutedEventArgs e)
        {
            if(chart.SecondaryAxis.Visibility != Visibility.Visible)
            {
                chart.SecondaryAxis.Visibility = Visibility.Visible;
                line1.YAxis = null;
                line2.YAxis = null;
                line3.YAxis = null;
            }         
        }

        private void CheckBox_Unchecked(object sender, RoutedEventArgs e)
        {
            chart.SecondaryAxis.Visibility = Visibility.Collapsed;
            line1.YAxis = axis1;
            line2.YAxis = axis2;
            line3.YAxis = axis3;
        }
    }
}
